/ comp / gb.db / db / subst
DB.Subst (gb.db)
Syntax

    STATIC FUNCTION Subst ( Format AS String, Arguments AS , ... ) AS String

Creates a SQL sentence by substituting its arguments in a format string.

- Format is the SQL sentence.
- Arguments are the arguments to substitute.

The `&1`, `&2`... patterns inside the Format string are replaced by respectively the SQL representation of the 1st, 2nd... Arguments.

### Examples

    PRINT DB.Subst("WHERE Name = &1 AND Date = &2", "Benoit", Now)
    <hr>WHERE Name = 'Benoit' AND Date = '2006-02-15 11:51:33.043'